Mavericks doesn't work with OS X Server 2.x... and you have to pay to fix it.

Just a warning to those of you who haven't updated to Mavericks and run OS X Server. I got the unlucky surprise after I had already update. Mavericks breaks any old install of OS X Server. There is an update to fix this. OS X Server 3.0 is waiting in the app store. However, unlike every other upgrade we were given this week, you have to pay full price for this new version. I know it's only 20 dollars... but, I just purchased OS X Server not even a month ago and am now being forced to pay again. It just doesn't sit well with me, and doesn't seem to go along with the new approach to software Apple has taken recently.